/* Copyright 2006, 2007 Columbia University */
/* This file is part of THINC.

    THINC is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    THINC is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with THINC.  If not, see <http://www.gnu.org/licenses/>.
*/
/**
 * helper interface to handle the initializing messages
 * 
 * @author Young Jin Yoon
 * @see ThincSMsgInitReply
 */
public interface ThincInitFlag {
	/* maximum array for initial request message */
	public static final int MAX_INIT_ARRAY = ThincProto2.T_REQ_LAST;
	
	/* init request list */
	public static final int FBINFO = ThincSMsgInitReplyFBInfo.INIT_MESSAGE_TYPE;
	public static final int APP_GET = ThincSMsgInitReplyAppGet.INIT_MESSAGE_TYPE;
	public static final int APP_LIST = ThincSMsgInitReplyAppList.INIT_MESSAGE_TYPE;
	public static final int APP_SHARING = ThincSMsgInitReplyAppSharing.INIT_MESSAGE_TYPE;
	public static final int CACHE_SIZE = ThincSMsgInitReplyCacheSize.INIT_MESSAGE_TYPE;
	public static final int CURSOR = ThincSMsgInitReplyCursor.INIT_MESSAGE_TYPE;
	public static final int ENCODER = ThincSMsgInitReplyEncoder.INIT_MESSAGE_TYPE;
	public static final int KEEPALIVE = ThincSMsgInitReplyKeepAlive.INIT_MESSAGE_TYPE;
	public static final int VIDEO = ThincCMsgInitRequestVideo.INIT_MESSAGE_TYPE;
	public static final int OK = ThincSMsgInitReplyOK.INIT_MESSAGE_TYPE;
	public static final int NOTOK = ThincSMsgInitReplyNotOK.INIT_MESSAGE_TYPE;
	public static final int UNKNOWN = ThincSMsgInitReplyUnknown.INIT_MESSAGE_TYPE;
	public static final int FBDATA = ThincSMsgInitReplyFBData.INIT_MESSAGE_TYPE;
	public static final int NOVIDEO = ThincCMsgInitRequestNoVideo.INIT_MESSAGE_TYPE;
	public static final int VIDEO_CLIENT_FMTS = ThincCMsgInitRequestVideoClientFormat.INIT_MESSAGE_TYPE;
	public static final int VIDEO_SERV_FMTS = ThincSMsgInitReplyVideoServerFormat.INIT_MESSAGE_TYPE;
}

