/* Copyright 2006, 2007 Columbia University */
/* This file is part of THINC.

    THINC is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    THINC is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with THINC.  If not, see <http://www.gnu.org/licenses/>.
*/
/**
 * class for init reply NAK from the server. it actually prints out
 * cause of the error and do nothing.
 * @author Young Jin Yoon
 * @see ThincSMsgInitReply
 */
public final class ThincSMsgInitReplyNotOK extends ThincSMsgInitReply {
	public static final int INIT_MESSAGE_TYPE = ThincProto2.T_REPLY_NOTOK;
	public static final int MESSAGE_SIZE = ThincProto2.T_REPLY_NOTOK_SIZE;

	/**
     * creates ThincSMsgInitReplyNotOK object.
     * @param tc <code>ThincClient</code> to get the information for handshaking.
     * @param h <code>ThincMsgHandler</code> to handle the message
     * @param cs <code>ThincClientCanvas</code> to get the information
	 */	
	public ThincSMsgInitReplyNotOK(ThincClient tc, ThincMsgHandler h, ThincClientCanvas cs) {
		super(tc, h, cs);
	}
	/**
	 * process()
	 * 
	 * just prints out the cause of the error and do nothing.
	 * @throws ThincException
	 */
	@Override
	public void process() throws ThincException {
		System.err.println("NAK occured in message: "+((ThincMsgInitReplyHandler)handler).getLastSent());
		/* try to negotiate next message in ThincMsgInitReplyHandler. 
		 *  so just do nothing in here.*/
	}


}
