/* Copyright 2005, 2007 Ricardo Baratto */
/* Copyright 2005, 2007 Columbia University */
/* This file is part of THINC.

    THINC is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    THINC is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with THINC.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * Functions to wrap around our hackish region "implementation"
 * 
 * Author:
 * Ricardo Baratto
 * Network Computing Lab - Columbia University
 *
 * Copyright 2004, 2005, 2007
 */

#include "thinc_client.h"

inline void tc_region_resize(struct tc_fb *fb, Region r)
{
	tc_xlib_rgn *rgn = (tc_xlib_rgn*) r;
	tc_rgn_resize(fb, rgn);
}

inline void tc_rgn_resize(struct tc_fb *fb, tc_xlib_rgn *rgn)
{
	tc_xlib_box *curr;
	int i, total = tc_rgn_numrects(rgn);

	curr = tc_rgn_rects(rgn);

	for(i=0; i<total; ++i, ++curr) {
		tclient_dbg(1, ("%s: resizing box (%d,%d):(%d,%d)\n",
			__func__, curr->x1, curr->y1, curr->x2, curr->y2));
		tc_resize_scale_box(fb, curr);
	}

	curr = &rgn->extents;
	tc_resize_scale_box(fb, curr);
}

inline void tc_rgn_convert(const tc_xlib_box *boxes, XRectangle *rects, int n)
{
	const register tc_xlib_box *bc = boxes;
	register XRectangle *rc = rects;
	register int i;

	for(i=0; i<n; ++i, ++bc, ++rc) {
		tclient_dbg(1, ("%s: converting box (%d,%d):(%d,%d)\n",
			__func__, bc->x1, bc->y1, bc->x2, bc->y2));
		tc_box_to_rect(bc, rc);
	}
}
